## wl-beta 2.15.9+0.20210629

=== debian/changelog ===
wl-beta (2.15.9+0.20210629-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20210629
  * Drop debian/patches

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Aug 2021 23:33:42 +0900

wl-beta (2.15.9+0.20210131-4) experimental; urgency=medium

  * New patch 010_elmo-msgdb.patch to remove old elmo-folder-get-info
  * Remove unneeded handling of no-native-compile

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 30 Jun 2021 19:37:47 +0900

wl-beta (2.15.9+0.20210131-3) experimental; urgency=medium

  * Set no-native-compile to t in elmo-msgdb.el for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 19 Jun 2021 19:09:51 +0900

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=wl

get-orig-source:
	wget -O upstream.tar.gz https://github.com/wanderlust/wanderlust/tarball/master
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "wl-beta_2.15.9+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`

pre-build: pre-build-stamp
pre-build-stamp:
	dh_testdir
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //" > debian/PACKAGE

	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	touch $@

build-indep: pre-build build-indep-stamp
build-indep-stamp:
	dh_testdir
	cd doc && makeinfo wl.texi && makeinfo wl-ja.texi
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f *build*-stamp
	rm -f doc/*.info* debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r WL-* NEWS* wl elmo utils debian/$(PACKAGE)/usr/share/$(PKGSNAME)/
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/wl/ChangeLog*
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/elmo/ChangeLog*
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/utils/ChangeLog*
	cp -r etc/icons/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)/
	cp etc/ja.Emacs debian/$(PACKAGE)/etc/X11/Xresources/wanderlust.ja

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installemacsen --priority 65
	dh_installinfo
	dh_installchangelogs
	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc/icons
	dh_link usr/share/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
	dh_link usr/share/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.15.9+0.%cd, date=%Y%m%d" \
https://github.com/wanderlust/wanderlust HEAD debian uupdate

## wl-beta 2.15.9+0.20220103

=== debian/changelog ===
wl-beta (2.15.9+0.20220103-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 3 obsolete maintscript entries in 1 files
  * Fix day-of-week for changelog entries 0.9.3-3, 0.9.3-2

  [ Tatsuya Kinoshita ]
  * New upstream version 2.15.9+0.20220103
  * Update debian/copyright
  * Update Standards-Version to 4.6.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Apr 2022 16:30:15 +0900

## wl-beta 2.15.9+0.20230120

=== Makefile ===
#
# Please specify your Emacs here.
#
EMACS	= emacs
# To install Wanderlust for XEmacs 21 or later,
# running 'make install-package' is recommended.
# 'make install-package' refers $XEMACS instead of $EMACS.
XEMACS  = xemacs
#
# Target directory to install the Wanderlust package.
# (Automatically detected if this line is unchanged.)
#
LISPDIR = NONE
PACKAGE_LISPDIR = package-user-dir
#LISPDIR = /usr/local/lib/mule/site-lisp

INFODIR = NONE
#INFODIR = /usr/local/share/info

# For XEmacs package.
PACKAGEDIR = NONE

# For XEmacs or Emacs 21: directory where icon files should go.
PIXMAPDIR = NONE

################# No need to modify following lines ####################
BATCHFLAG = -batch
FLAGS     = $(BATCHFLAG) -q -no-site-file $(EMACS_FLAGS)

elc:
	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package \
		$(LISPDIR) $(PACKAGE_LISPDIR) $(PIXMAPDIR)

check:
	$(EMACS) $(BATCHFLAG) -l WL-MK -f check-wl \
		$(LISPDIR) $(PACKAGE_LISPDIR) $(PIXMAPDIR)

test:
	$(EMACS) $(FLAGS) -l WL-MK -f test-wl \
		$(LISPDIR) $(PACKAGE_LISPDIR) $(PIXMAPDIR)

update-version:
	$(EMACS) $(FLAGS) -l WL-MK -f update-version \
		$(LISPDIR) $(PACKAGE_LISPDIR) $(PIXMAPDIR)

compile-strict: clean-elc
	@args="$(FLAGS)";\
	args="$$args -L elmo -L wl";\
	echo "=============================================";\
	echo "Compiling the 1st stage-----without elc files";\
	echo "=============================================";\
	for i in `$(EMACS) $(FLAGS) -l WL-MK -f wl-examine-modules 2>/dev/null`;\
	  do\
	  j=`echo $$i| sed 's/elc$$/el/g'`;\
	  echo "$(EMACS) ARGS -f batch-byte-compile $$j";\
	  $(EMACS) $$args -f batch-byte-compile $$j;\
	  mv $$i $$j"x";\
	done;\
	for i in `echo elmo/*.elx wl/*.elx utils/*.elx`; do\
	  j=`echo $$i| sed 's/elx$$/elc/g'`;\
	  mv $$i $$j;\
	done;\
	echo "==============================================";\
	echo "Compiling the 2nd stage-----with all elc files";\
	echo "==============================================";\
	for i in `$(EMACS) $(FLAGS) -l WL-MK -f wl-examine-modules 2>/dev/null`;\
	  do\
	  j=`echo $$i| sed 's/elc$$/el/g'`;\
	  echo "$(EMACS) ARGS -f batch-byte-compile $$j";\
	  $(EMACS) $$args -f batch-byte-compile $$j;\
	done

install-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package \
		$(LISPDIR) $(PACKAGE_LISPDIR) $(PIXMAPDIR)

uninstall-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f uninstall-wl-package \
		$(LISPDIR) $(PACKAGE_LISPDIR) $(PIXMAPDIR)

clean-elc:
	rm -f wl/*.elc wl/*~ wl/auto-autoloads.el wl/custom-load.el \
		wl/wl-news.el elmo/*.elc utils/*.elc \
		wl/*.elx elmo/*.elx utils/*.elx

info:
	$(EMACS) $(FLAGS) -l WL-MK -f wl-texinfo-format $(INFODIR)

install-info:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-info $(INFODIR)

mostlyclean-info:
	rm -f doc/*~ doc/*.cp doc/*.fn doc/*.ky doc/*.pg doc/*.tp doc/*.vr \
		doc/*.cps doc/*.fns doc/*.kys doc/*.pgs doc/*.tps doc/*.vrs

clean-info: mostlyclean-info
	rm -f doc/*.info doc/*.info-*

mostlyclean-dvi:
	rm -f doc/*~ doc/*.aux doc/*.log doc/*.toc

clean-dvi: mostlyclean-dvi
	rm -f doc/*.dvi

all: elc

install: install-elc

uninstall: uninstall-elc

mostlyclean: clean-elc mostlyclean-info mostlyclean-dvi

clean: mostlyclean clean-dvi

distclean: maintainer-clean

maintainer-clean: clean clean-info

=== debian/changelog ===
wl-beta (2.15.9+0.20230120-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20230120
  * Use shell function for PACKAGE
  * Update get-orig-source

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 23 Jan 2023 22:45:36 +0900

wl-beta (2.15.9+0.20221117-2) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Relax dependencies on emacs flavors
  * Update Standards-Version to 4.6.2
  * Typo fix in README.Debian
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 22:55:56 +0900

wl-beta (2.15.9+0.20221117-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (closes: #1013861)

  [ Tatsuya Kinoshita ]
  * New upstream version 2.15.9+0.20221117
  * Prevent native compilation in emacsen-install
  * Remove empty maintainer scripts
  * Update Standards-Version to 4.6.1
  * Avoid egrep in maintainer scripts

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 18 Nov 2022 23:51:11 +0900

=== debian/control ===
Source: wl-beta
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/wl-beta
Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
Homepage: https://github.com/wanderlust/wanderlust
Rules-Requires-Root: no

Package: wl-beta
Architecture: all
Depends: emacsen-common, semi, flim, apel, ${misc:Depends}
Recommends: emacs-nox | emacs, ca-certificates
Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
Replaces: wl, wanderlust2
Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)
Provides: wl, imap-client, mail-reader, news-reader
Description: mail/news reader supporting IMAP for emacsen (development version)
 Wanderlust is a mail/news management system on emacsen.  It supports
 IMAP4rev1 (RFC2060), NNTP, POP and local message files.
 .
 The main features of Wanderlust:
 .
  - Pure elisp implementation.
  - Supports IMAP4rev1, NNTP, POP (POP3/APOP), MH and Maildir format.
  - Unified access method to messages based on Mew-like Folder Specification.
  - Mew-like Key-bind and mark handling.
  - Manages unread messages.
  - Interactive thread display.
  - Folder Mode shows the list of subscribed folders.
  - Message Cache, Disconnected Operation.
  - MH-like FCC. (Fcc: %Backup and Fcc: $Backup is allowed).
  - MIME compliant (by SEMI).
  - Transmission of news and mail are unified by Message transmitting draft.
  - Graphical list of folders.
  - View a part of message without retrieving the whole message (IMAP4).
  - Server-side message look up (IMAP4). Multi-byte characters are allowed.
  - Virtual Folders.
  - Supports compressed folder using common archiving utilities.
  - Old articles in folders are automatically removed/archived (Expiration).
  - Automatic re-file.
  - Template function makes it convenient to send fixed form messages.
 .
 This package provides a development snapshot version of Wanderlust.

=== debian/rules ===
--- 
+++ 
@@ -2,18 +2,16 @@
 
 #export DH_VERBOSE=1
 
-PACKAGE=`cat debian/PACKAGE`
+PACKAGE := $(shell sed -n '/^Source:/{s/.*: //;p;q}' debian/control)
 PKGSNAME=wl
 
 get-orig-source:
 	wget -O upstream.tar.gz https://github.com/wanderlust/wanderlust/tarball/master
-	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "wl-beta_2.15.9+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`
+	ver=`sed 's/.* (//;s/[+-].*//;q' debian/changelog` ymd=`tar ztvf upstream.tar.gz | sed 's/.* \([0-9][0-9][0-9][0-9]\)-\([0-9][0-9]\)-\([0-9][0-9]\) .*/\1\2\3/;q'` && mv -f upstream.tar.gz $(PACKAGE)_$$ver+0.$$ymd.orig.tar.gz
 
 pre-build: pre-build-stamp
 pre-build-stamp:
 	dh_testdir
-	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //" > debian/PACKAGE
-
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
@@ -35,7 +33,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f *build*-stamp
-	rm -f doc/*.info* debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
+	rm -f doc/*.info* debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
 	dh_clean
 
 install: build-indep
